Skip to content

Update MCP server

PUT
/api/v1/mcp/servers/{id}
curl --request PUT \
--url 'https://example.com/api/v1/mcp/servers/example?projectId=00000000-0000-0000-0000-000000000000' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "type": "sse", "url": "example", "command": "example", "args": [ "example" ], "env": { "additionalProperty": "example" }, "headers": [ { "name": "example", "value": "example" } ], "sessionMode": "stateful", "version": "example", "description": "example" }'
id
required
string
projectId
required

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

string
>= 1 characters
Example
00000000-0000-0000-0000-000000000000

Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.

Media type application/json
object
name
string
type
string
Allowed values: sse http stdio
url
string
command
string
args
Array<string>
env
object
key
additional properties
string
headers
Array<object>
object
name
required
string
value
required
string
sessionMode
string
Allowed values: stateful stateless
version
string
description
string

Success

Media type application/json
object
_id
required
string
slug
required
string
name
required
string
type
required
string
Allowed values: sse http stdio
url
string
command
string
args
Array<string>
env
object
key
additional properties
string
headers
Array<object>
object
name
required
string
value
required
string
sessionMode
string
Allowed values: stateful stateless
version
string
description
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string
Example
{
"type": "sse",
"sessionMode": "stateful"
}